using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATDocumentArc")]
public partial class AtdocumentArc
{
    [Key]
    public int DocumentId { get; set; }

    [StringLength(255)]
    public string? DocumentName { get; set; }

    public int? ContentTypeId { get; set; }

    public int WorkItemId { get; set; }

    public int DocumentSize { get; set; }

    [Column(TypeName = "text")]
    public string? Document { get; set; }

    [StringLength(255)]
    public string? DocumentLink { get; set; }

    [StringLength(255)]
    public string? UserName { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime? LastModified { get; set; }
}
